[Debian-astro-commits] [gyoto] 45/221: add example slurm batch file (extremely basic)

Thibaut Jean-Claude Paumard thibaut at moszumanska.debian.org
Fri May 22 20:52:32 UTC 2015


This is an automated email from the git hooks/post-receive script.

thibaut pushed a commit to branch master
in repository gyoto.

commit f34c98c482c836d36fce9635b4ab276eb9732824
Author: Thibaut Paumard <paumard at users.sourceforge.net>
Date:   Mon Oct 13 17:45:15 2014 +0200

    add example slurm batch file (extremely basic)
---
 doc/examples/example-polish-doughnut.sbatch | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/doc/examples/example-polish-doughnut.sbatch b/doc/examples/example-polish-doughnut.sbatch
new file mode 100644
index 0000000..cf49daa
--- /dev/null
+++ b/doc/examples/example-polish-doughnut.sbatch
@@ -0,0 +1,23 @@
+#!/bin/bash
+#SBATCH --job-name=Gyoto
+#SBATCH --nodes=4 --ntasks-per-node=4
+
+set -e
+
+SCRATCH=/scratch/$USER/run.${SLURM_JOBID}
+
+XMLFILE=$HOME/git/Gyoto/doc/examples/example-polish-doughnut.xml
+FITSFILE=\!toto.fits
+
+export LD_LIBRARY_PATH=/usr/local/lib:$HOME/usr/lib:$LD_LIBRARY_PATH
+export PATH=$HOME/usr/bin:$PATH:$HOME/usr/lib/gyoto/3.0.1
+
+mpirun -n 1 mkdir -p $SCRATCH
+mpirun -n 1 cp $XMLFILE $SCRATCH/
+
+mpirun -n 1 -wdir $SCRATCH ${HOME}/usr/bin/gyoto \
+    --nprocesses=15 `basename $XMLFILE` $FITSFILE
+
+mpirun -n 1 cp -a $SCRATCH $HOME/ && rm -Rf $SCRATCH
+
+exit 0

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-astro/packages/gyoto.git



More information about the Debian-astro-commits mailing list